Bug 979928 - [origin_runtime_157]"Syntax error" are shown when creating snapshot for an app with postgresql-9.2.
[origin_runtime_157]"Syntax error" are shown when creating snapshot for an ap...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Paul Morie
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 03:40 EDT by Qiushui Zhang
Modified: 2015-05-14 19:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 11:18:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Qiushui Zhang 2013-07-01 03:40:14 EDT
Description of problem:
When creating snapshot for an app with postgresql-9.2, it shows "syntax error".

Version-Release number of selected component (if applicable):
fork_ami_hasari_c157_660

How reproducible:
Always

Steps to Reproduce:
1.Create an app with postgresql-9.2.
2.SSH to the app and start psql. Add some table/data to postgresql-9.2.
3.Create an snapshot for the app.

Actual results:
It shows messages like the following:
[walter@dhcp-10-238 tmp]$ rhc snapshot save jb
Pulling down a snapshot to jb.tar.gz...
/var/tmp/sclVYNKLG: line 8: unexpected EOF while looking for matching `''
/var/tmp/sclVYNKLG: line 9: syntax error: unexpected end of file
/var/tmp/sclDkkaDL: line 8: unexpected EOF while looking for matching `''
/var/tmp/sclDkkaDL: line 9: syntax error: unexpected end of file
/var/tmp/sclxQwt6R: line 8: unexpected EOF while looking for matching `''
/var/tmp/sclxQwt6R: line 9: syntax error: unexpected end of file
Creating and sending tar.gz
RESULT:
Success

Expected results:
The snapshot is created without any warning messages.

Additional info:
Comment 1 Hiro Asari 2013-07-01 11:22:48 EDT
Please hold off testing until the code is merged to the master and devenv subsequently updated.

I believe this is related to the incomplete shell escaping that has been corrected on the dev/hasari/c157 branch on my repository.
Comment 2 Hiro Asari 2013-07-02 13:42:36 EDT
I expect https://github.com/openshift/origin-server/pull/2925 to be merged shortly.

I'm moving this to ON_QA for further testing.
Comment 3 Qiushui Zhang 2013-07-03 02:19:02 EDT
Checked on devenv_3441.

[walter@dhcp-10-238 tmp]$ rhc snapshot save jb
Pulling down a snapshot to jb.tar.gz...
Creating and sending tar.gz

RESULT:
Success

So mark it as verified.

Note You need to log in before you can comment on or make changes to this bug.